sane-teco2(5)

NUME
sane-teco2 - controlor SANE pentru scanerele TECO / RELISYS

DESCRIERE
Biblioteca sane-teco2 implementează un controlor SANE (Scanner Access Now Easy) care oferă acces la unele scanere plate SCSI TECO. Acest controlor ar trebui să fie considerat software de calitate beta! Scanerele TECO sunt vândute sub diverse mărci precum Mustek, Relisys, Piotech, Primax, TRUST. Este posibil ca acest controlor să fie sau nu compatibil cu al dumneavoastră.

Scanerele care ar trebui să funcționeze cu acest controlor sunt:

      Fabricant Model             model TECO      starea
    --------------------------- --------------  -----------
      Mustek    ScanMagic 4830S     VM3575       netestat
      Primax    Jewel 4800          VM356A       bună
      Primax    Profi 9600          VM6575       bazică
      Primax    Profi 19200         VM6586       bună
      Relisys   APOLLO Express 3    VM356A       bazică
      Relisys   APOLLO Express 6    VM6565       bună
      Relisys   APOLLO Express 12   ?            netestat
      Relisys   AVEC II S3          VM3564       bună
      Relisys   AVEC Super 3        VM3575       bazică
      Relisys   SCORPIO Pro         VM6575       bună
      Relisys   SCORPIO Pro-S       VM6586       netestat
      Relisys   SCORPIO Super 3     VM3575       bună
Pentru toate aceste scanere, lineart și modul de gri funcționează bine. Cu toate acestea, cele mai multe dintre ele nu acceptă mai mult de câteva rezoluții în modul color. Consultați pagina principală din controlor (la rubrica AUTHOR) pentru a afla starea exactă a fiecărui scaner. Rețineți că scanerul netestat nu va fi acceptat direct. Ar trebui să contactați autorul pentru acest lucru. Numărul TECO VM se găsește, de obicei, în partea din spate a scanerului. Acesta face parte, de asemenea, din ID-ul FCC. Opțiunile pe care le suportă controlorul pot fi selectate fie prin opțiuni de linie de comandă pentru programe precum scanimage(1), fie prin elemente GUI în xscanimage(1), xsane(1), quiteinsane(1) sau kooka(1).
Dacă aveți succes cu un scaner care nu este listat aici sau dacă observați un comportament ciudat, vă rugăm să raportați responsabilului controlorului sau pe lista de discuții SANE.

OPȚIUNI
Opțiunile valide ale liniei de comandă și sintaxa acestora pot fi listate utilizând:
    scanimage --help -d teco2

Mod scanare

--mode Lineart|Gray|Color
    Selectează modul de funcționare de bază al scanerului. Modul Lineart este numai alb-negru (1 bit). Modul Gray va produce 256 de niveluri de gri (8 biți). Color va produce o imagine color pe 24 de biți.

--resolution 1..600
    Selectează rezoluția pentru o scanare. Scanerul poate face toate rezoluțiile între 1 și 600, în trepte de 1, pentru Lineart și Gray. Pentru Color, este disponibil un set restrâns de rezoluții. Notă: Toate valorile cu rezoluția verticală în dpi > 300 (300 x 600) sau 600 (600 x 1200) au ca rezultat o proporție greșită pentru scanare. Proporția poate fi ajustată cu următoarea comandă convert(1) din imagemagick:
    convert -geometry (dpi/max_xdpi * 100%)x100%
    max_xdpi este pentru vm3575 constant cu 300 dpi, de exemplu, 600dpi se ajustează cu: convert -geometry 200%x100%.

--preview
    Solicită o scanare de previzualizare. Rezoluția utilizată pentru această scanare este de 50 dpi (pentru VM356A și VM6575 75 dpi), iar zona de scanare este cea maximă permisă. Modul de scanare este selectat de utilizator. Valoarea implicită este „no”.

Opțiuni geometrie

-l, -t, -x,  -y
    Controlează zona de scanare: -l stabilește coordonatele x din stânga sus, -t coordonatele y din stânga sus, -x selectează lățimea și -y înălțimea zonei de scanare. În mod implicit, toți parametrii sunt specificați în milimetri.

Opțiuni de îmbunătățire

--custom-gamma (nu există o opțiune gamma personalizată pentru VM3564 și VM356A)
    (numai în modul Culoare) permite utilizatorului să specifice un tabel gama (a se vedea următorii 3 parametri).

OPȚIUNI PENTRU MODUL COLOR
Aceste opțiuni sunt valabile numai pentru modul de scanare Color.

--red-gamma-table
    Poate fi utilizată pentru a descărca un tabel gamma definit de utilizator pentru canalul roșu. Tabelul trebuie să aibă o lungime de 256 de octeți.

--green-gamma-table
    Poate fi utilizată pentru a descărca un tabel gamma definit de utilizator pentru canalul verde. Tabelul trebuie să aibă o lungime de 256 de octeți.

--blue-gamma-table
    Poate fi utilizată pentru a descărca un tabel gamma definit de utilizator pentru canalul albastru. Tabelul trebuie să aibă o lungime de 256 de octeți.

OPȚIUNI DOAR PENTRU VM3564, VM356A, VM3575 și VM6575
Aceste opțiuni sunt disponibile numai pentru modelele VM3564, VM356A, VM3575 și VM6575.

--white-level-r 0..64
    Selectează nivelul de luminozitate pentru roșu pentru ca să fie considerat „alb”, atunci când se scanează anumite foi, prin modificarea valorii de calibrare încărcate în scaner. Scala este 0 ... 64 în pași de 1.

--white-level-g 0..64
    Selectează nivelul de luminozitate pentru verde pentru ca să fie considerat „alb”, atunci când se scanează anumite foi, prin modificarea valorii de calibrare încărcate în scaner. Scala este 0 ... 64 în pași de 1.

--white-level-b 0..64
    Selectează nivelul de luminozitate pentru albastru pentru ca să fie considerat „alb”, atunci când se scanează anumite foi, prin modificarea valorii de calibrare încărcate în scaner. Scala este 0 ... 64 în pași de 1.

FIȘIER DE CONFIGURARE
Fișierul de configurare /etc/sane.d/teco2.conf acceptă doar un singur element: numele dispozitivului care trebuie utilizat (de exemplu, /dev/scanner).

FIȘIERE

/usr/lib/sane/libsane-teco2.a
    Biblioteca statică care implementează acest controlor.

/usr/lib/sane/libsane-teco2.so
    Biblioteca partajată care implementează acest controlor (prezentă pe sistemele care acceptă încărcare dinamică).

MEDIU

SANE_DEBUG_TECO2
    Dacă biblioteca a fost compilată cu suportul de depanare activat, această variabilă de mediu controlează nivelul de depanare pentru acest controlor. De exemplu, o valoare de 128 solicită imprimarea tuturor datelor de depanare. Nivelurile mai mici reduc volumul de informații.

SANE_TECO2_CAL_ALGO
    Fie 0, fie 1. Selectează algoritmul pentru calibrare. O valoare de 1 pare să ofere scanări mai bune pe VM356A, VM3575. Opiniile despre aceasta sunt binevenite. Pentru VM3564, VM356A, VM3575, VM6575 valoarea implicită este 1. Pentru alte tipuri acceptate, valoarea implicită este 0.

LIMITĂRI
Controlorul TWAIN pentru Windows are mult mai multe opțiuni decât acest controlor SANE. Cu toate acestea, acestea sunt doar ajustări software. Acest controlor implementează doar ceea ce poate admite scanerul.

ERORI
O mulțime. Unele părți ale acestui controlor sunt încă în curs de dezvoltare.

CONSULTAȚI ȘI
sane(7), sane-scsi(5), scanimage(1), xscanimage(1), xsane(1)

AUTORI

Frank Zago
    http://www.zago.net/sane/#teco2

Pachetul este întreținut în mod activ de Gerard Klaver.
    http://gkall.hobby.nl/teco2.html

MULȚUMIRI
Mulțumiri pentru:

Gerard Klaver pentru testele sale neobosite cu VM3575 și a contribuit cu o corecție pentru a oferi suport pentru VM3564 și VM356A.

Mark Plowman pentru că a furnizat primele trasee SCSI de pe un VM3575.

Andreas Klaedtke pentru că a furnizat primele trasee SCSI de pe un VM6586 și pentru testele sale, precum și lui Stefan von Dombrowski pentru testele sale.

Nicolas Peyresaubes pentru că a furnizat primele trasee SCSI de la un VM656A și pentru testele sale.

Dave Parker pentru testarea suportului pentru VM6575.

Michael Hoeller pentru testarea suportului pentru VM356A.

Christoph Hoeffner pentru testarea suportului pentru VM3564 (Relisys AVEC II S3 firmware 1.09).

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.